[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Accessibility] Re: [Kde-accessibility] focus tracking

From: Piñeiro
Subject: [Accessibility] Re: [Kde-accessibility] focus tracking
Date: Wed, 30 Jun 2010 12:02:22 +0200 (CEST)

From: Jeremy Whiting <address@hidden>

> Adding gnome-accessibility and accessibility to the lists as they are the
> ones with the answers in this regard I believe.
> Joanie, we are discussing magnification, and I thought you'd likely know the
> answer about the api orca/gnome mag uses that Gunnar mentioned here.

Well, I'm not Joanie, but I can start the answer and then she can
confirm/complete/correct me.

>> > individual user applications, and a special magnification API is used for
>> > the communication between a screen reader and the magnifier (so that the
>> > screen magnifier does itself not need an AT-SPI implementation.
>> do you know if the magnification API is going to be kept with / ported to
>> AT-
>> SPI2? if so, then it would be possible to make use of that API with the
>> kwin

AFAIK the magnification API is not a AT-SPI(2) issue. Magnification
tools has some API defined, and Orca uses to control it (although any
other app could try to use it).

Current status:

  * gnome-mag is the current a11y friendly magnification solution in
    the GNOME Desktop.
  * It defines an API.
  * Orca has a "Magnifier" tab to use it.


  * Right now this API uses CORBA. And CORBA is deprecated (and hated)
  * With GNOME-Shell we can't use gnome-mag

Work in process:

  * gnome-mag API migration to DBUS is in progress [3]
  * It is still a high risk issue, but this last weeks some people
    volunteered to help.
  * Joseph Scheuhammer [1] implemented the magnifier feature in
    gnome-shell. Really cool, and with a really good performance.
  * It has a DBUS interface to use it, not complete [2]
  * The idea is that the migrated gnome-mag API and the gnome-shell
    magnification tool API be the same, so Orca could use both without

>> magnification desktop effect (when used as an a11y aid) and when AT-SPI2
>> becomes available, nothing in kwin's code would need to change. but that
>> relies on the magnification API remaining stable ... (which i hope it
>> would,
>> for the sake of other magnifiers out there)

As I have just said, AFAIK, the magnifier tools API wouldn't be
present in AT-SPI2 directly.

But, other people involved (Mike Gorse, Joanie) can confirm/complete
all this.



API (address@hidden)

reply via email to

[Prev in Thread] Current Thread [Next in Thread]